/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.etsi.saref.server.entities;

import javax.ws.rs.core.MediaType;

/**
 *
 * @author maxime.lefrancois
 */
public class MediaTypeExt extends MediaType {

    private final boolean isRDF;
    private final String ext;
    private final String lang;

    public MediaTypeExt(MediaType mt, String ext, String lang, boolean isRDF) {
        super(mt.getType(), mt.getSubtype(), mt.getParameters());
        this.ext = ext;
        this.lang = lang;
        this.isRDF = isRDF;
    }

    public MediaTypeExt(String type, String subtype, String ext, String lang, boolean isRDF) {
        super(type, subtype);
        this.ext = ext;
        this.lang = lang;
        this.isRDF = isRDF;
    }

    public String getExt() {
        return ext;
    }

    public String getLang() {
        return lang;
    }

    public boolean isRDF() {
        return isRDF;
    }

}
